Buf(1)

NAME
buf-config-migrate - Migrate all buf.yaml, buf.work.yaml, buf.gen.yaml, and buf.lock files at the specified directories or paths to v2

SYNOPSIS
buf config migrate [flags]

DESCRIPTION
If no flags are specified, the current directory is searched for buf.yamls, buf.work.yamls, and buf.gen.yamls.

The effects of this command may change over time

OPTIONS
--buf-gen-yaml=[]
    The paths to the buf.gen.yaml generation templates to migrate

-d, --diff[=false]
    Write a diff to stdout instead of migrating files on disk. Useful for performing a dry run.

-h, --help[=false]
    help for migrate

--module=[]
    The module directories to migrate. buf.yaml and buf.lock will be migrated

--workspace=[]
    The workspace directories to migrate. buf.work.yaml, buf.yamls and buf.locks will be migrated

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=0s
    The duration until timing out, setting it to 0 means no timeout

SEE ALSO
buf-config(1)

HISTORY
2026-04-22 Auto generated by spf13/cobra